Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 29/09/2005, à 09:31

Link

probleme installation icewm !!

Allo tout le monde ca va?

bon voici mon probleme, en faite j'ai deja installer icewm et ca fonctionne tres bien, le probleme est que j'essai d'installer le panneaus de controle de icewm et ca ne fonctionne pas.

voici l'erreur que j'ai:

****@****:/usr/share/icewm/INSTALL-IceWMCP$ ./INSTALL-ME.sh
./PyInstallShield:214: DeprecationWarning: use gtk.UIManager
  itemf=ItemFactory(MenuBar,"<main>",ag)
./PyInstallShield:249: Warning: unsupported arithmetic operation for flags type
  table1.attach( Label(_("Installation Directory:")),0,1,0,1,(EXPAND+FILL),(EXPAND+FILL),0,0)
Traceback (most recent call last):
  File "./PyInstallShield", line 1468, in ?
    runbabel()
  File "./PyInstallShield", line 1464, in runbabel
    mybabel=installwin()
  File "./PyInstallShield", line 249, in __init__
    table1.attach( Label(_("Installation Directory:")),0,1,0,1,(EXPAND+FILL),(EXPAND+FILL),0,0)
TypeError: flag values must be strings, ints or tuples


j'ai essayer de l'installer avec ./  et sh  mais les deux me donne le meme resultat.

quelqu'un a une idee s.v.p. ?


In a world without walls and fences, who needs Windows and Gates?

Hors ligne

#2 Le 30/09/2005, à 09:05

Link

Re : probleme installation icewm !!

bon, le probleme plus haut etais un probleme de dependance que je croyait qui etais installer, je l'ai regler a moitier car maintenant j'ai un autre probleme en voulant regler le premier.


voici ce que j'obtien maintenant:

****@****:~/INSTALL-IceWMCP$ ./INSTALL-ME.sh
Error: You do not have PyGtk-2 properly installed.
This application will not run without it.


j'ai donc installer PyGtk mais voici le probleme que j'ai avec cette dependance quand j'esai de le compiler:

checking for atk >= 1.8.0... Package atk was not found in the pkg-config search path.
Perhaps you should add the directory containing `atk.pc'
to the PKG_CONFIG_PATH environment variable
No package 'atk' found
checking for pango >= 1.10.0... Package pango was not found in the pkg-config search path.
Perhaps you should add the directory containing `pango.pc'
to the PKG_CONFIG_PATH environment variable
No package 'pango' found
checking for pangocairo >= 1.10.0
                               pycairo >= 0.5.0... Package pangocairo was not found in the pkg-config search path.
Perhaps you should add the directory containing `pangocairo.pc'
to the PKG_CONFIG_PATH environment variable
No package 'pangocairo' found
checking for gtk+-2.0 >= 2.7... Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-2.0' found
checking for gtk+-2.0 >= 2.8.0... Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-2.0' found
checking for libglade-2.0 >= 2.5.0... Package libglade-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libglade-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libglade-2.0' found
checking for Numeric/arrayobject.h... yes
checking whether gcc understands -Wall... yes
checking whether gcc understands -std=c9x... yes
checking whether gcc understands -fno-strict-aliasing... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating pygobject-2.0.pc
config.status: creating pygtk-2.0.pc
config.status: creating codegen/Makefile
config.status: creating gobject/Makefile
config.status: creating gtk/Makefile
config.status: creating docs/Makefile
config.status: creating examples/Makefile
config.status: creating tests/Makefile
config.status: creating codegen/pygtk-codegen-2.0
config.status: creating pygtk.spec
config.status: creating PKG-INFO
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands

The following modules will be built:

gobject
gtk (without cairo)

The following modules will NOT be built:

atk
pango
pangocairo
gtk
gtk.glade


alors, qui pourrais m'aider s.v.p. ??


In a world without walls and fences, who needs Windows and Gates?

Hors ligne

Haut de page ↑